Name:       jetty-schemas
Version:    3.1
Release:    1%{?dist}
Summary:    XML Schemas for Jetty
License:    CDDL or GPLv2 with exceptions
URL:        http://www.eclipse.org/jetty/
BuildArch:  noarch

Source0:    https://github.com/eclipse/jetty.toolchain/archive/%{name}-%{version}.tar.gz
Source1:    https://glassfish.dev.java.net/public/CDDL+GPL_1_1.html

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.eclipse.jetty.toolchain:jetty-toolchain:pom:)

%description
%{summary}.

%prep
%setup -q -n jetty.toolchain-jetty-schemas-%{version}
cp %SOURCE1 .

# Disable default-jar execution of maven-jar-plugin, which avoids
# problems with version 3.0.0 of the plugin.
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions" "
      <execution>
        <id>default-jar</id>
        <phase>skip</phase>
      </execution>" jetty-schemas

%build
pushd %{name}
%mvn_build

%install
pushd %{name}
%mvn_install

%files -f %{name}/.mfiles
%dir %{_javadir}/%{name}
%doc CDDL+GPL_1_1.html

%changelog
* Mon Oct 24 2016 Michael Simacek <msimacek@redhat.com> - 3.1-1
- Update to upstream version 3.1

* Wed Jun 15 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.1-7
- Add missing build-requires

* Tue May 31 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.1-6
- Fix build issue with maven-jar-plugin 3.0.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 02 2013 Michael Simacek <msimacek@redhat.com> - 3.1-2
- Fix License tag

* Thu Nov 28 2013 Michael Simacek <msimacek@redhat.com> - 3.1-1
- Initial version
